Subject: [Sip] Re: [Sip-implementors] updated offer/answer draft

From: Paul Kyzivat <[email-masked]>
Date: Wed, 20 Feb 2002 20:19:15 -0500

Sorry to be slow commenting - I am backed up on my reading.

I have one possible nit. You have incorporated a:inactive as the
replacement for c=0.0.0.0 for hold, and indicated that use of c=0.0.0.0
is deprecated though it still must be supported by recipients.

I think it is a bit strong to say that it is deprecated. There are still
cases where it is *needed*. In particular, a B2BUA may need to offer on
hold to solicit an answer, with the intent to make a new offer later
after another offer/answer exchange with another party. In this case, it
may not desire or be capable of receiving RTCP, or of providing an
address/port to do so. The C=0.0.0.0 provides an effective solution in
this case. 

So, rather than being deprecated for all use, I think the use of
c=0.0.0.0 ought to be be more narrowly restricted.

	Paul

Jonathan Rosenberg wrote:
> 
> Folks,
> 
> I have just submitted an update to the offer/answer model draft. Until
> it appears in the archives, you can pick it up at:
> 
> http://www.jdrosen.net/papers/draft-ietf-mmusic-sdp-offer-answer-00.txt
> 
> This draft includes all of the changes agreed to since IETF 52 and on
> the list since then. There are no open issues that I am aware of.
> 
> Perhaps the most substantial change is the allowance of different
> payload type numbers in each direction, as per list discussion on
> mmusic. Other changes are noted in the changes section.
> 
> Thanks,
> Jonathan R.
> --
> Jonathan D. Rosenberg, Ph.D.            72 Eagle Rock Avenue
> Chief Scientist                         First Floor
> dynamicsoft                             East Hanover, NJ 07936
> [email-masked]                 FAX: (973) 952-5050
> http://www.jdrosen.net                  PH:  (973) 952-5000
> http://www.dynamicsoft.com
> _______________________________________________
> Sip-implementors mailing list
> [email-masked]
> http://lists.cs.columbia.edu/mailman/listinfo/sip-implementors

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip